Package com.google.javascript.jscomp

# Class JSModuleGraph.ModuleDependenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
com.google.javascript.jscomp.JSModuleGraph.ModuleDependenceException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JSModuleGraph`

protected static class JSModuleGraph.ModuleDependenceException extends IllegalArgumentException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ModuleDependenceException(String message, JSModule module, JSModule dependentModule)`

## Method Summary

Modifier and Type
Method
Description
`JSModule`
`getDependentModule()`
`JSModule`
`getModule()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModuleDependenceException

protected ModuleDependenceException(String message, JSModule module, JSModule dependentModule)

## Method Details

### getModule

public JSModule getModule()

### getDependentModule

public JSModule getDependentModule()